NotificationsServiceAsync (gCube Notifications Portlet 0.1.0-2.13.0 API)
Date: 2013-03-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.notifications.client
Interface NotificationsServiceAsync

    public interface NotificationsServiceAsync

Method Summary
`void` | `getNotificationChannels(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<org.gcube.portal.databook.shared.NotificationChannelType>> callback)`
`void` | `getUserInfo(com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portal.databook.shared.UserInfo> callback)`
`void` | `getUserNotifications(com.google.gwt.user.client.rpc.AsyncCallback<HashMap<Date,ArrayList<org.gcube.portal.databook.shared.Notification>>> callback)`
`void` | `setAllUserNotificationsRead(com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
`void` | `setNotificationChannels(HashMap<org.gcube.portal.databook.shared.NotificationChannelType,Boolean> newSettings, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`

Method Detail

### getUserInfo

    void getUserInfo(com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portal.databook.shared.UserInfo> callback)

### getUserNotifications

    void getUserNotifications(com.google.gwt.user.client.rpc.AsyncCallback<HashMap<Date,ArrayList<org.gcube.portal.databook.shared.Notification>>> callback)

### setAllUserNotificationsRead

    void setAllUserNotificationsRead(com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

### getNotificationChannels

    void getNotificationChannels(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<org.gcube.portal.databook.shared.NotificationChannelType>> callback)

### setNotificationChannels

    void setNotificationChannels(HashMap<org.gcube.portal.databook.shared.NotificationChannelType,Boolean> newSettings,
                                 com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.